Index: code/trunk/src/modules/notifications/Notification.cc
===================================================================
--- code/trunk/src/modules/notifications/Notification.cc	(revision 7285)
+++ code/trunk/src/modules/notifications/Notification.cc	(revision 7401)
@@ -55,4 +55,6 @@
     @brief
         Constructor. Creates a Notification with the input message.
+    @param creator
+        The object that created this Notification
     @param message
         The message of the Notification.
Index: code/trunk/src/modules/notifications/NotificationQueue.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationQueue.cc	(revision 7285)
+++ code/trunk/src/modules/notifications/NotificationQueue.cc	(revision 7401)
@@ -109,17 +109,17 @@
         Method for creating a NotificationQueue object through XML.
     */
-    void NotificationQueue::XMLPort(Element& xmlElement, XMLPort::Mode mode)
-    {
-        SUPER(NotificationQueue, XMLPort, xmlElement, mode);
+    void NotificationQueue::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(NotificationQueue, XMLPort, xmlelement, mode);
 
         this->setDefaults();
 
-        XMLPortParam(NotificationQueue, "maxSize", setMaxSize, getMaxSize, xmlElement, mode);
-        XMLPortParam(NotificationQueue, "notificationLength", setNotificationLength, getNotificationLength, xmlElement, mode);
-        XMLPortParam(NotificationQueue, "displayTime", setDisplayTime, getDisplayTime, xmlElement, mode);
-        XMLPortParam(NotificationQueue, "targets", setTargets, getTargets, xmlElement, mode);
-        XMLPortParam(NotificationQueue, "font", setFont, getFont, xmlElement, mode);
-        XMLPortParam(NotificationQueue, "fontSize", setFontSize, getFontSize, xmlElement, mode);
-        XMLPortParam(NotificationQueue, "position", setPosition, getPosition, xmlElement, mode);
+        XMLPortParam(NotificationQueue, "maxSize", setMaxSize, getMaxSize, xmlelement, mode);
+        XMLPortParam(NotificationQueue, "notificationLength", setNotificationLength, getNotificationLength, xmlelement, mode);
+        XMLPortParam(NotificationQueue, "displayTime", setDisplayTime, getDisplayTime, xmlelement, mode);
+        XMLPortParam(NotificationQueue, "targets", setTargets, getTargets, xmlelement, mode);
+        XMLPortParam(NotificationQueue, "font", setFont, getFont, xmlelement, mode);
+        XMLPortParam(NotificationQueue, "fontSize", setFontSize, getFontSize, xmlelement, mode);
+        XMLPortParam(NotificationQueue, "position", setPosition, getPosition, xmlelement, mode);
 
         COUT(3) << "NotificationQueue '" << this->getName() << "' created." << std::endl;
Index: code/trunk/src/modules/notifications/NotificationQueue.h
===================================================================
--- code/trunk/src/modules/notifications/NotificationQueue.h	(revision 7285)
+++ code/trunk/src/modules/notifications/NotificationQueue.h	(revision 7401)
@@ -71,5 +71,7 @@
 
         Creating a NotificationQueue through XML goes as follows:
-        Be aware that the NotificationQueue must be inside the <Level></Level> tags or bad things will happen.
+        Be aware that the NotificationQueue must be inside the @code <Level></Level> @endcode tags or bad things will happen.
+        
+        @code
         <NotificationQueue
             name = "SuperQueue" //Name of your OverlayQueue.
@@ -82,4 +84,5 @@
             position = "0.0, 0.0" //The position of the NotificationQueue. (Default is 0.0,0.0)
         />
+        @endcode
     @author
         Damian 'Mozork' Frick
@@ -93,5 +96,5 @@
             virtual ~NotificationQueue();
 
-            virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode); //!< Method for creating a NotificationQueue object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a NotificationQueue object through XML.
 
             virtual void tick(float dt); //!< To update from time to time.
